Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03761 Graphics Minor Always Mar 2, 2010, 18:53 Jan 27, 2012, 12:58
Tester Jerry View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS Windows 2000
Status [?] Resolved Driver cninja.cpp
Version 0.136 Fixed in Version 0.144u7 Build Normal
Summary 03761: edrandy and clones: Do not see the clouds in the background
Description Left:0.135u4 Right:0.136

Changed Caveman Ninja driver to use Partial Updates for Raster Effects
instead of buffering scanline data [David Haywood]
Steps To Reproduce
Additional Information
Flags
Regression Version 0.136
Affected Sets / Systems edrandy and clones
Attached Files
png file icon edrandy.png (34,709 bytes) Mar 2, 2010, 18:53
? file icon edrandy_patch.diff (1,326 bytes) Jan 26, 2012, 07:48 Uploaded by Haze
[Show Content]
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.05820
Haze
Senior Tester
Mar 2, 2010, 20:43
edited on: Mar 2, 2010, 20:48
interesting, I wasn't aware of this test case. I'm a bit surprised that it broke tho but I can confirm it uses the raster IRQ at this point.
User avatar
No.08088
Haze
Senior Tester
Jan 26, 2012, 07:48
edited on: Jan 26, 2012, 07:49
not sure it's 100%, but simply forcing a partial update each line brings back the clouds, dunno why the forced updates on register changes don't catch it, but they don't.

see diff.
User avatar
No.08094
hap
Developer
Jan 27, 2012, 12:34
edited on: Jan 27, 2012, 12:37
ok I'm on it

flag VIDEO_UPDATE_SCANLINE is shorthand version of what you did
User avatar
No.08095
hap
Developer
Jan 27, 2012, 12:58
found the cause, should be fixed now

Get on IRC so i can slap ya with the almighty trout :P